#ifndef VY_UIDTAB_H
#define VY_UIDTAB_H

#include "runtime.h"
#include "file_tab.h"
#include "assets.h"
#include "xxhash/xxhash.h"

#ifdef VY_DEFINE_UIDTAB_FILE_STRUCTURES
#pragma pack(push, 1)
typedef struct {
    XXH64_canonical_t checksum;
    uint32_t num_entries;
} vy_uidtab_header;
#pragma pack(pop)

#pragma pack(push, 1)
typedef struct {
    vy_file_id file;
    uint64_t offset;
    uint64_t size;
    vy_uid uid;
} vy_uidtab_entry;
#pragma pack(pop)
#endif

/* Data associated with an uid */
typedef struct {
    vy_file_id pkg_file;
    uint64_t offset;
    uint64_t size;
} vy_uid_data;

VY_DLLEXPORT const vy_uid_data *vyGetUIDData(vy_uid uid);

#endif