#ifndef VY_ASSETC_ASSETMETA_H
#define VY_ASSETC_ASSETMETA_H

#include "runtime/file_tab.h"
#include "runtime/assets.h"

#include <stdbool.h>

/* Metadata for assets used only by assetc */
typedef struct {
    uint64_t last_changed;
    uint64_t compiled_ts;
    uint32_t processing_flags;
} vy_assetmeta;

vy_result vyLoadAssetMeta(void);

vy_result vySaveAssetMeta(void);

/* The UID map associates processed files with generated asset uids. */
void vyAddUIDMapping(vy_file_id fid, vy_uid uid, const vy_assetmeta *meta);

/* Returns true if the asset is found. false otherwise */
bool vyGetAssetMeta(vy_file_id source_file, vy_assetmeta *meta);

vy_uid vyLookupUID(vy_file_id fid);

#endif
