#ifndef VY_ASSETC_UTILS_H
#define VY_ASSETC_UTILS_H

#include <stdint.h>

#include "runtime/file_tab.h"

size_t vyGetFileSize(const char *path);

void vySetWorkingDirectory(const char *path);

uint64_t vyGetCurrentTimestamp(void);

uint64_t vyGetFileModificationTimestamp(vy_file_id fid);

typedef enum {
    VY_DIR_ELEMENT_TYPE_FILE,
    VY_DIR_ELEMENT_TYPE_DIRECTORY,
} vyIterateDirElementType;

typedef vy_result vy_iterate_directory_cb_func(const char *name, vyIterateDirElementType type, void *user);

vy_result vyIterateDirectory(const char *path, void *user, vy_iterate_directory_cb_func iterate_cb);

#endif
